Package com.verisign.epp.codec.secdnsext.v11

## Class EPPSecDNSExtUpdate

- java.lang.Object
- - com.verisign.epp.codec.secdnsext.v11.EPPSecDNSExtUpdate

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPSecDNSExtUpdate
      extends java.lang.Object
      implements EPPCodecComponent

  The EPPSecDNSExtUpdate is the EPPCodecComponent that knows how to encode and decode secDNS update elements from/to XML and object instance.

  Title: EPP 1.0 secDNS

  Description: secDNS Extension to the EPP SDK

  Copyright: Copyright (c) 2010

  Company: VeriSign

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_ADD` | Element tag name for the add
    `static java.lang.String` | `ELM_CHG` | Element tag name for the chg
    `static java.lang.String` | `ELM_MAX_SIG_LIFE` | The element tag name for maxSigLife
    `static java.lang.String` | `ELM_NAME` | Element tag name for the update
    `static java.lang.String` | `ELM_REM` | Element tag name for the rem
    `static int` | `MAX_MAX_SIG_LIFE` | Maximum maxSigLife value
    `static int` | `MIN_MAX_SIG_LIFE` | Minimum maxSigLife value
    `static int` | `UNSPEC_MAX_SIG_LIFE` | Unspecified maxSigLife value

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPSecDNSExtUpdate()` | Instantiate a new instance of EPPSecDNSExtUpdate

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendAddDsData​(EPPSecDNSExtDsData aDsData)` | Appends to the `List` of DS Data `EPPSecDNSExtDsData` instances to add.
    `void` | `appendAddKeyData​(EPPSecDNSExtKeyData aKeyData)` | Appends to the `List` of Key Data `EPPSecDNSExtKeyData` instances to add.
    `void` | `appendRemDsData​(EPPSecDNSExtDsData aDsData)` | Appends to the `List` of DS Data `EPPSecDNSExtDsData` instances to remove.
    `void` | `appendRemKeyData​(EPPSecDNSExtKeyData aKeyData)` | Appends to the `List` of Key Data `EPPSecDNSExtKeyData` instances to remove.
    `java.lang.Object` | `clone()` | Clone `EPPSecDNSExtUpdate`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Append all data from this secDNS update to the given DOM Document
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPSecDNSExtUpdate` compare.
    `java.util.List` | `getAddDsData()` | Gets the dsData add list.
    `java.util.List` | `getAddKeyData()` | Gets the keyData add list.
    `int` | `getMaxSigLife()` | Get secDNS:maxSigLife value
    `java.lang.String` | `getNamespace()` | The namespace associated with this secDNS update.
    `java.util.List` | `getRemDsData()` | Gets the dsData remove list.
    `java.util.List` | `getRemKeyData()` | Gets the keyData remove list.
    `boolean` | `hasAddDsData()` | Is there dsData contained in the dsData add list?
    `boolean` | `hasAddKeyData()` | Is there keyData contained in the keyData add list?
    `boolean` | `hasChg()` | Is there are change (chg) element included in the update.
    `boolean` | `hasMaxSigLife()` | Does secDNS:chg include optional secDNS:maxSigLife?
    `boolean` | `hasRemDsData()` | Is there dsData contained in the dsData remove list?
    `boolean` | `hasRemKeyData()` | Is there keyData contained in the keyData remove list?
    `boolean` | `isRemAllData()` | Remove all DS / Key Data?
    `boolean` | `isUrgent()` | Is the update request urgent?
    `void` | `setAddDsData​(java.util.List aAddDsData)` | Sets the `List` of DS Data `EPPSecDNSExtDsData` instances to add.
    `void` | `setAddKeyData​(java.util.List aAddKeyData)` | Sets the `List` of Key Data `EPPSecDNSExtKeyData` instances to add.
    `void` | `setMaxSigLife​(int maxSigLife)` | Set secDNS:maxSigLife value
    `void` | `setRemAllData​(boolean aRemAllData)` | Sets the flag for removing all DS / Key Data.
    `void` | `setRemDsData​(java.util.List aRemDsData)` | Sets the `List` of DS Data `EPPSecDNSExtDsData` instances to remove.
    `void` | `setRemKeyData​(java.util.List aRemKeyData)` | Sets the `List` of Key Data `EPPSecDNSExtKeyData` instances to remove.
    `void` | `setUrgent​(boolean urgent)` | Sets the urgent attribute.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSPEC_MAX_SIG_LIFE

          public static final int UNSPEC_MAX_SIG_LIFE

      Unspecified maxSigLife value
      See Also:
        Constant Field Values

    - #### MIN_MAX_SIG_LIFE

          public static final int MIN_MAX_SIG_LIFE

      Minimum maxSigLife value
      See Also:
        Constant Field Values

    - #### MAX_MAX_SIG_LIFE

          public static final int MAX_MAX_SIG_LIFE

      Maximum maxSigLife value
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Element tag name for the update
      See Also:
        Constant Field Values

    - #### ELM_ADD

          public static final java.lang.String ELM_ADD

      Element tag name for the add
      See Also:
        Constant Field Values

    - #### ELM_CHG

          public static final java.lang.String ELM_CHG

      Element tag name for the chg
      See Also:
        Constant Field Values

    - #### ELM_REM

          public static final java.lang.String ELM_REM

      Element tag name for the rem
      See Also:
        Constant Field Values

    - #### ELM_MAX_SIG_LIFE

          public static final java.lang.String ELM_MAX_SIG_LIFE

      The element tag name for maxSigLife
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPSecDNSExtUpdate

          public EPPSecDNSExtUpdate()

      Instantiate a new instance of EPPSecDNSExtUpdate

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      The namespace associated with this secDNS update.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        The namespace associated with secDNS component

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Append all data from this secDNS update to the given DOM Document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPSecDNSExtUpdate` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPSecDNSExtUpdate` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPSecDNSExtUpdate`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPSecDNSExtUpdate`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### hasAddDsData

          public boolean hasAddDsData()

      Is there dsData contained in the dsData add list?
      Returns:
        `true` if add list of `EPPSecDNSExtDsData` is not `null` and not empty; `false` otherwise.

    - #### getAddDsData

          public java.util.List getAddDsData()

      Gets the dsData add list.
      Returns:
        `List` of dsData `EPPSecDNSExtDsData` instances if defined; `null` otherwise.

    - #### setAddDsData

          public void setAddDsData​(java.util.List aAddDsData)

      Sets the `List` of DS Data `EPPSecDNSExtDsData` instances to add.
      Parameters:
        `aAddDsData` - `List` of `EPPSecDNSExtDsData` instances

    - #### appendAddDsData

          public void appendAddDsData​(EPPSecDNSExtDsData aDsData)

      Appends to the `List` of DS Data `EPPSecDNSExtDsData` instances to add.
      Parameters:
        `aDsData` - `EPPSecDNSExtDsData` instance

    - #### hasRemDsData

          public boolean hasRemDsData()

      Is there dsData contained in the dsData remove list?
      Returns:
        `true` if remove list of `EPPSecDNSExtDsData` is not `null` and not empty; `false` otherwise.

    - #### getRemDsData

          public java.util.List getRemDsData()

      Gets the dsData remove list.
      Returns:
        `List` of dsData `EPPSecDNSExtDsData` instances if defined; `null` otherwise.

    - #### setRemDsData

          public void setRemDsData​(java.util.List aRemDsData)

      Sets the `List` of DS Data `EPPSecDNSExtDsData` instances to remove.
      Parameters:
        `aRemDsData` - `List` of `EPPSecDNSExtDsData` instances

    - #### appendRemDsData

          public void appendRemDsData​(EPPSecDNSExtDsData aDsData)

      Appends to the `List` of DS Data `EPPSecDNSExtDsData` instances to remove.
      Parameters:
        `aDsData` - `EPPSecDNSExtDsData` instance

    - #### setRemAllData

          public void setRemAllData​(boolean aRemAllData)

      Sets the flag for removing all DS / Key Data.
      Parameters:
        `aRemAllData` - `true` to remove all DS / Key Data; `false` otherwise.

    - #### isRemAllData

          public boolean isRemAllData()

      Remove all DS / Key Data?
      Returns:
        `true` to remove all DS / Key Data; `false` otherwise.

    - #### hasAddKeyData

          public boolean hasAddKeyData()

      Is there keyData contained in the keyData add list?
      Returns:
        `true` if add list of `EPPSecDNSExtKeyData` is not `null` and not empty; `false` otherwise.

    - #### getAddKeyData

          public java.util.List getAddKeyData()

      Gets the keyData add list.
      Returns:
        `List` of keyData `EPPSecDNSExtKeyData` instances if defined; `null` otherwise.

    - #### setAddKeyData

          public void setAddKeyData​(java.util.List aAddKeyData)

      Sets the `List` of Key Data `EPPSecDNSExtKeyData` instances to add.
      Parameters:
        `aAddKeyData` - `List` of `EPPSecDNSExtKeyData` instances

    - #### appendAddKeyData

          public void appendAddKeyData​(EPPSecDNSExtKeyData aKeyData)

      Appends to the `List` of Key Data `EPPSecDNSExtKeyData` instances to add.
      Parameters:
        `aKeyData` - `EPPSecDNSExtKeyData` instance

    - #### hasRemKeyData

          public boolean hasRemKeyData()

      Is there keyData contained in the keyData remove list?
      Returns:
        `true` if remove list of `EPPSecDNSExtKeyData` is not `null` and not empty; `false` otherwise.

    - #### getRemKeyData

          public java.util.List getRemKeyData()

      Gets the keyData remove list.
      Returns:
        `List` of dsData `EPPSecDNSExtKeyData` instances if defined; `null` otherwise.

    - #### setRemKeyData

          public void setRemKeyData​(java.util.List aRemKeyData)

      Sets the `List` of Key Data `EPPSecDNSExtKeyData` instances to remove.
      Parameters:
        `aRemKeyData` - `List` of `EPPSecDNSExtKeyData` instances

    - #### appendRemKeyData

          public void appendRemKeyData​(EPPSecDNSExtKeyData aKeyData)

      Appends to the `List` of Key Data `EPPSecDNSExtKeyData` instances to remove.
      Parameters:
        `aKeyData` - `EPPSecDNSExtKeyData` instance

    - #### isUrgent

          public boolean isUrgent()

      Is the update request urgent?
      Returns:
        Returns `true` if the client has asked the server operator to process the update command with a high priority; `false` otherwise.

    - #### setUrgent

          public void setUrgent​(boolean urgent)

      Sets the urgent attribute.
      Parameters:
        `urgent` - The urgent value to set.

    - #### getMaxSigLife

          public int getMaxSigLife()

      Get secDNS:maxSigLife value
      Returns:
        an `int` value representing secDNS:maxSigLife
      See Also:
        `hasMaxSigLife()`, `UNSPEC_MAX_SIG_LIFE`

    - #### setMaxSigLife

          public void setMaxSigLife​(int maxSigLife)

      Set secDNS:maxSigLife value
      Parameters:
        `maxSigLife` - an `int` value representing secDNS:maxSigLife

    - #### hasMaxSigLife

          public boolean hasMaxSigLife()

      Does secDNS:chg include optional secDNS:maxSigLife?
      Returns:
        true if secDNS:maxSigLife is specified, otherwise false
      See Also:
        `UNSPEC_MAX_SIG_LIFE`

    - #### hasChg

          public boolean hasChg()

      Is there are change (chg) element included in the update. Currently the only change element is secDNS:maxSigLife.
      Returns:
        `true` if a change element is defined; `false` otherwise.

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.